%define dist Glib
Name: perl-%dist
Version: 1.132
Release: alt1

Summary: Perl module for the glib-2.x library
License: LGPL
Group: Development/Perl

URL: http://gtk2-perl.sourceforge.net/
Source: %dist-%version.tar.bz2

# MDK: BUG: we do not hanble exceptions out of Gtk2->main loop
# we should just horribly die in that case
Patch0: %name-1.020-mdk-exception-trapping.patch
# don't warn on glib_micro_version change
Patch1: %name-1.081-alt-glib_version.patch

# Added by buildreq2 on Tue Aug 15 2006
BuildRequires: glib2-devel perl-ExtUtils-Depends perl-ExtUtils-PkgConfig perl-Storable perl-devel

%package devel
Summary: Perl module for the glib-2.x library (development files)
Group: Development/Perl
Requires: %name = %version-%release
Requires: glib2-devel

%description
This module provides perl access to Glib and GLib's GObject libraries.
GLib is a portability and utility library; GObject provides a generic
type system with inheritance and a powerful signal system.  Together
these libraries are used as the foundation for many of the libraries
that make up the Gnome environment, and are used in many unrelated
projects.

%description devel
This module provides perl access to Glib and GLib's GObject libraries.
GLib is a portability and utility library; GObject provides a generic
type system with inheritance and a powerful signal system.  Together
these libraries are used as the foundation for many of the libraries
that make up the Gnome environment, and are used in many unrelated
projects.

This package contains GLib development files and documentation
for developers (overview of internals and internal API reference).

%prep
%setup -q -n %dist-%version
%patch0
%patch1 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc	AUTHORS NEWS README
	%perl_vendor_archlib/Glib.pm
%dir	%perl_vendor_archlib/Glib
%dir	%perl_vendor_archlib/Glib/Object
	%perl_vendor_archlib/Glib/Object/Subclass.pm
%dir	%perl_vendor_autolib/Glib
	%perl_vendor_autolib/Glib/Glib.so

%files devel
%dir	%perl_vendor_archlib/Glib
	%perl_vendor_archlib/Glib/*.pm
%doc	%perl_vendor_archlib/Glib/*.pod
%dir	%perl_vendor_archlib/Glib/Install
	%perl_vendor_archlib/Glib/Install/*
%dir	%perl_vendor_archlib/Glib/Param
%doc	%perl_vendor_archlib/Glib/Param/*.pod

%changelog
* Tue Aug 15 2006 Alexey Tourbin <at@altlinux.ru> 1.132-alt1
- 1.131 -> 1.132

* Wed Aug 02 2006 Alexey Tourbin <at@altlinux.ru> 1.131-alt1
- 1.120 -> 1.131

* Sat Mar 18 2006 LAKostis <lakostis@altlinux.ru> 1.120-alt1
- NMU.
- 1.101 -> 1.120
- update Buildreq.

* Thu Oct 06 2005 Alexey Tourbin <at@altlinux.ru> 1.101-alt1
- 1.093 -> 1.101

* Fri Sep 02 2005 Alexey Tourbin <at@altlinux.ru> 1.093-alt1
- 1.082 -> 1.093

* Thu Jun 23 2005 Alexey Tourbin <at@altlinux.ru> 1.082-alt1
- 1.081 -> 1.082
- license: LGPL, not GPL

* Thu Apr 14 2005 Alexey Tourbin <at@altlinux.ru> 1.081-alt1
- 1.080 -> 1.081
- alt-glib_version.patch: don't warn on glib_micro_version change

* Mon Mar 21 2005 Alexey Tourbin <at@altlinux.ru> 1.080-alt1
- 1.072 -> 1.080
- alt-Tester.patch merged upstream

* Fri Jan 14 2005 Alexey Tourbin <at@altlinux.ru> 1.072-alt1
- 1.071 -> 1.072
- new subpackage: %name-devel

* Wed Dec 15 2004 Alexey Tourbin <at@altlinux.ru> 1.071-alt1
- 1.061 -> 1.071
- fixed Test::More::eq_array() issue in t/c.t
- manual pages not packaged (use perldoc)

* Wed Oct 06 2004 Alexey Tourbin <at@altlinux.ru> 1.061-alt1
- 1.053 -> 1.061

* Mon Aug 09 2004 Alexey Tourbin <at@altlinux.ru> 1.053-alt1
- 1.042 -> 1.053

* Fri Apr 16 2004 Alexey Tourbin <at@altlinux.ru> 1.042-alt1
- 1.022 -> 1.042
- skip ExtUtils::MakeMaker dependency

* Wed Feb 18 2004 Alexey Tourbin <at@altlinux.ru> 1.022-alt1
- 1.022

* Wed Jan 14 2004 Alexey Tourbin <at@altlinux.ru> 1.020-alt1
- 1.020

* Sun Nov 30 2003 Alexey Tourbin <at@altlinux.ru> 1.012-alt1
- 1.012

* Tue Oct 14 2003 Alexey Tourbin <at@altlinux.ru> 1.00-alt1
- 1.00

* Thu Aug 28 2003 Alexey Tourbin <at@altlinux.ru> 0.95-alt1
- initial revision; mdk-exception-trapping.patch applied
